
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, sans-serif;
    background:#050816;
    color:black;
    scroll-behavior:smooth;
}

/* MENU */

header{
    position:fixed;
    top:0;
    width:100%;
    background:rgba(0,0,0,0.7);
    padding:20px;
    background-position:blur(10px);
}

nav{
    display:flex;
    justify-content:center;
    gap:30px;
}

nav a{
    color:white;
    text-decoration:none;
    font-size:18px;
    transition:0.3s;
}

nav a:hover{
    color:#66e0ff;
    text-shadow:0 0 10px #66e0ff;
}

/* INÍCIO */

.hero{
    height:100vh;

    background:
    linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.8)),
    url("img/images.webp");

    background-size:cover;
    background-position:center;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    text-align:center;
    padding:20px;
}

.hero h1{
    font-size:70px;
    color:#8be9ff;
    text-shadow:
    0 0 10px #8be9ff,
    0 0 30px #8be9ff;
}

.hero   img{
    width:550px;
    height: 300px;
    border-radius:20px;
    margin-top:30px;
    box-shadow:0 0 20px #66e0ff;
}

.hero p{
    margin-top:20px;
    font-size:22px;
    max-width:700px;
    line-height:1.6;
    color:#66e0ff;
}

/* SEÇÕES */

section{
    padding:100px 20px;
}

.container{
    max-width:1000px;
    margin:auto;
    color: #66e0ff
}

h2{
    text-align:center;
    margin-bottom:40px;
    font-size:42px;
    color:#66e0ff;

    text-shadow:
    0 0 5px #66e0ff,
    0 0 10px #66e0ff,
    0 0 20px #66e0ff;
    
    animation:neonPulse 2s infinite alternate;
}

.trailer {
    display: flex;
    align-items: center;
    justify-content: center;
}
/* animação neon */
@keyframes neonPulse{
    0%{
        text-shadow:
        0 0 5px #66e0ff,
        0 0 10px #66e0ff,
        0 0 20px #66e0ff;
    }

    100%{
        text-shadow:
        0 0 10px #8be9ff,
        0 0 25px #8be9ff,
        0 0 40px #8be9ff;
    }

    p{
     font-size:18px;
     line-height:1.8;
     text-align:center;
    } 
}

/* ANIMAÇÃO DE APARECER */
.historia p{
    opacity:0;
    transform: translateY(20px);
    animation: fadeUp 1s ease forwards;
}

/* atraso para aparecer aos poucos */
.historia p:nth-child(2){
    animation-delay: 0.2s;
}

.historia p:nth-child(3){
    animation-delay:0.4s;
}

.historia p:nth-child(4){
    animation-delay:0.6s;
}

.historia p:nth-child(5){
    animation-delay:0.8s;
}
.historia p:nth-child(6){
    animation-delay:1s;
}

/* keyframes */
@keyframes fadeUp{
    to{
        opacity:1;
        transform:translateY(0);
    }
}
/* HABILIDADES */

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit, minmax(250px,1fr));
    gap:25px;
    margin-top:40px;
}

.card{
    background:#0d1329;
    padding:25px;
    border-radius:20px;
    transition:0.3s;
    
}

.card img{
    width:250px;
    height:225px;
    object-fit:cover;
    border-radius:15px;
    margin-bottom:15px;
    align-items: center;
}
.card:hover{
    transform:translateY(-10px);
    box-shadow:0 0 20px #66e0ff;
}

.card h3{
    color:#66e0ff;
    margin-bottom:15px;
}

/* RODAPÉ */

footer{
    background:#02040d;
    text-align:center;
    padding:25px;
    color:#aaa;
}